diff --git a/lustre/tests/conf-sanity.sh b/lustre/tests/conf-sanity.sh
index 21cf30ac473a72fdc7a08b71da43adc59ebd0722..460adb211ac714f124706d1a07366c846b6d9244 100644
--- a/lustre/tests/conf-sanity.sh
+++ b/lustre/tests/conf-sanity.sh
@@ -1082,6 +1082,10 @@ test_32a() {
         #       there appears to be a lot of assumption here about loopback
         #       devices
         # or maybe this test is just totally useless on a client-only system
+	[ "$mds_HOST" = "`hostname`" ] || { skip "remote MDS" && return 0; }
+	[ "$ost_HOST" = "`hostname`" -o "$ost1_HOST" = "`hostname`" ] || \
+		{ skip "remote OST" && return 0; }
+
         [ -z "$TUNEFS" ] && skip "No tunefs" && return
 	local DISK1_4=$LUSTRE/tests/disk1_4.zip
         [ ! -r $DISK1_4 ] && skip "Cant find $DISK1_4, skipping" && return
@@ -1139,6 +1143,10 @@ test_32b() {
         #       there appears to be a lot of assumption here about loopback
         #       devices
         # or maybe this test is just totally useless on a client-only system
+        [ "$mds_HOST" = "`hostname`" ] || { skip "remote MDS" && return 0; }
+        [ "$ost_HOST" = "`hostname`" -o "$ost1_HOST" = "`hostname`" ] || \
+		{ skip "remote OST" && return 0; }
+
         [ -z "$TUNEFS" ] && skip "No tunefs" && return
 	local DISK1_4=$LUSTRE/tests/disk1_4.zip
         [ ! -r $DISK1_4 ] && skip "Cant find $DISK1_4, skipping" && return
diff --git a/lustre/tests/test-framework.sh b/lustre/tests/test-framework.sh
index 17c1435fb961454640d4b9efec1ec7c921b86f4a..12e373efdd8b24ef345a1874270affc0c5dd39e8 100644
--- a/lustre/tests/test-framework.sh
+++ b/lustre/tests/test-framework.sh
@@ -1145,7 +1145,7 @@ equals_msg() {
 
     local suffixlen=$((${#EQUALS} - ${#msg}))
     [ $suffixlen -lt 5 ] && suffixlen=5
-    printf '===== %s %.*s\n' "$msg" $suffixlen $EQUALS
+    log `echo $(printf '===== %s %.*s\n' "$msg" $suffixlen $EQUALS)`
 }
 
 log() {